Documentation Index

Fetch the complete documentation index at: https://docs.xendit.co/llms.txt

Use this file to discover all available pages before exploring further.

For archived content, access the previous documentation here or the previous API reference here.

Check available installment plans

Prev Next
Post
/v3/payment_options

Check the available installment plans for the specific transaction.

Security
HTTP
Type basic
Header parameters
api-version
string
Valid values[ "2024-10-31", "2024-11-11" ]
business-id
stringRequired
Body parameters
Expand All
object
channel_code
string Required

Channel code of the transactions. Installment now only available for: CARDS, BAY_CARD_INSTALLMENT, BBL_CARD_INSTALLMENT, KBANK_CARD_INSTALLMENT, KTB_CARD_INSTALLMENT, SCB_CARD_INSTALLMENT, TTB_CARD_INSTALLMENT

country
string Required

ISO 3166-1 alpha-2 two-letter country code for the country of transaction.

Valid values[ "ID", "PH", "VN", "TH", "SG", "MY", "HK", "MX" ]
ExampleID
amount
number (double) Required
currency
string Required

ISO 4217 three-letter currency code for the payment.

Valid values[ "IDR", "PHP", "VND", "THB", "SGD", "MYR", "USD", "HKD", "AUD", "GBP", "EUR", "JPY", "MXN" ]
ExampleIDR
customer_id
string

Xendit unique Capture ID generated as reference for the end user

Max length41
Examplecust-b98d6f63-d240-44ec-9bd5-aa42954c4f48
channel_properties
object (Payments_API_PaymentOptionChannelProperties)
card_number
string | null

Only PCI-DSS compliant merchants can check installment options through this endpoint. Non PCI-DSS merchants should use Xendit Components or Payment Session integration.

Responses
200

Installment options available

Expand All
object
channel_code
string

Channel code used to select the payment method provider.

country
string

ISO 3166-1 alpha-2 two-letter country code for the country of transaction.

Valid values[ "ID", "PH", "VN", "TH", "SG", "MY", "HK", "MX" ]
ExampleID
amount
number (double)
currency
string

ISO 4217 three-letter currency code for the payment.

Valid values[ "IDR", "PHP", "VND", "THB", "SGD", "MYR", "USD", "HKD", "AUD", "GBP", "EUR", "JPY", "MXN" ]
ExampleIDR
installment_plans
Array of object (Payments_API_InstallmentPlan)
object
interval
string
interval_count
number
terms
number
installment_amount
number (double)
total_amount
number (double)
interest_rate
number (double) | null
description
string | null
code
string | null
4XX

Client Side Bad Request Error

5XX

Server Side Error